docs

# EditChatInviteLinkWithJoinRequest

data class EditChatInviteLinkWithJoinRequest ( val chatId: ChatIdentifier , val inviteLink: String , val name: String ? = null, val expirationUnixTimeStamp: TelegramDate ? = null) : EditChatInviteLink < ChatInviteLinkWithJoinRequest > , WithJoinRequestChatInviteLinkRequest
Content copied to clipboard

Represent [https://core.telegram.org/bots/api#editchatinvitelink] request WITHOUT `member_limit` and WITH `creates_join_request`

## See also

dev.inmo.tgbotapi.requests.chat.invite_links.EditChatInviteLink.Companion
dev.inmo.tgbotapi.requests.chat.invite_links.EditChatInviteLinkUnlimited
dev.inmo.tgbotapi.requests.chat.invite_links.EditChatInviteLinkWithLimitedMembers

## Constructors

EditChatInviteLinkWithJoinRequest
Link copied to clipboard
fun EditChatInviteLinkWithJoinRequest ( chatId: ChatIdentifier , inviteLink: String , name: String ? = null, expirationUnixTimeStamp: TelegramDate ? = null)
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
expirationUnixTimeStamp
Link copied to clipboard
open override val expirationUnixTimeStamp : TelegramDate ? = null
Content copied to clipboard
expireDate
Link copied to clipboard
open override val expireDate : DateTime?
Content copied to clipboard
inviteLink
Link copied to clipboard
open override val inviteLink : String
Content copied to clipboard
name
Link copied to clipboard
open override val name : String ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
abstract val resultDeserializer : DeserializationStrategy< ChatInviteLinkWithJoinRequest >
Content copied to clipboard